<?php
namespace Claromentis\Core\Ai\Events;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_db6f0ba079" . "1e9a6354076" . "59a9fe04e40" => base64_decode("aXN" . "fb2" . "JqZ" . "WN0"), "_7f628626dd1d55c71b1fc093" . "2ffd1d2c" => base64_decode("aXNfYXJyY" . "Xk="));
use Claromentis\Core\Ai\Parts\PartInterface;
use Symfony\Component\EventDispatcher\GenericEvent;
use Webmozart\Assert\Assert;
class AiEvent extends GenericEvent
{
    
    
    
    
    
    public function __construct($_9961f986823b4be7f5c4cc8379c6b228, array $arguments = [])
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_7f628626" . "dd1d55c71" . "b1fc0932f" . "fd1d2c"]($_9961f986823b4be7f5c4cc8379c6b228)) {
            Assert::allIsInstanceOf($_9961f986823b4be7f5c4cc8379c6b228, PartInterface::class);
        } elseif ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_db6f0ba079" . "1e9a6354076" . "59a9fe04e40"]($_9961f986823b4be7f5c4cc8379c6b228)) {
            Assert::isInstanceOf($_9961f986823b4be7f5c4cc8379c6b228, PartInterface::class);
        } else {
            Assert::string($_9961f986823b4be7f5c4cc8379c6b228);
        }
        parent::__construct($_9961f986823b4be7f5c4cc8379c6b228, $arguments);
    }
    
    
    
    
    public function getParts()
    {
        return $this->getSubject();
    }
}